# saga::object Class Reference

Brief description starts here. More...

`#include <object.hpp>`

Inheritance diagram for saga::object:

[legend]

List of all members.

## Public Types
enum | type { Unknown = -1, Exception = 1, URL = 2, Buffer = 3, Session = 4, Context = 5, Task = 6, TaskContainer = 7, Metric = 8, NSEntry = 9, NSDirectory = 10, IOVec = 11, File = 12, Directory = 13, LogicalFile = 14, LogicalDirectory = 15, JobDescription = 16, JobService = 17, Job = 18, JobSelf = 19, StreamServer = 20, Stream = 21, Parameter = 22, RPC = 23, Msg = 24, Endpoint = 25, Advert = 26, AdvertDirectory = 27, ServiceDescription = 28, ServiceDiscoverer = 29, ServiceData = 30, CPRJobDescription = 31, CPRJobService = 32, CPRJob = 33, CPRJobSelf = 34, CPRCheckpoint = 35, CPRDirectory = 36, EntityData = 37, EntityDataSet = 38, EntityNavigator = 39 }
typedef saga::impl::object | implementation_base_type
## Public Member Functions
| object ()
| Brief description starts here.
saga::object::type | get_type (void) const
| Brief description starts here.
saga::uuid | get_id (void) const
| Brief description starts here.
saga::session & | get_session ()
| Brief description starts here.
saga::session const & | get_session () const
saga::object | clone () const
| Brief description starts here.

## Detailed Description

Brief description starts here.

## Member Typedef Documentation

typedef saga::impl::object saga::object::implementation_base_type

## Member Enumeration Documentation

enum saga::object::type

Enumerator:

  Unknown |
  Exception |
  URL |
  Buffer |
  Session |
  Context |
  Task |
  TaskContainer |
  Metric |
  NSEntry |
  NSDirectory |
  IOVec |
  File |
  Directory |
  LogicalFile |
  LogicalDirectory |
  JobDescription |
  JobService |
  Job |
  JobSelf |
  StreamServer |
  Stream |
  Parameter |
  RPC |
  Msg |
  Endpoint |
  Advert |
  AdvertDirectory |
  ServiceDescription |
  ServiceDiscoverer |
  ServiceData |
  CPRJobDescription |
  CPRJobService |
  CPRJob |
  CPRJobSelf |
  CPRCheckpoint |
  CPRDirectory |
  EntityData |
  EntityDataSet |
  EntityNavigator |

## Constructor & Destructor Documentation

saga::object::object | ( |  | ) |

Brief description starts here.

## Member Function Documentation

saga::object::type saga::object::get_type | ( | void |  | ) | const

Brief description starts here.

References Unknown.

Referenced by saga::cpr::checkpoint::checkpoint(), saga::context::context(), saga::job::description::description(), saga::cpr::description::description(), saga::filesystem::directory::directory(), saga::cpr::directory::directory(), saga::advert::directory::directory(), saga::isn::entity_data::entity_data(), saga::isn::entity_data_set::entity_data_set(), saga::advert::entry::entry(), saga::filesystem::file::file(), saga::replica::logical_directory::logical_directory(), saga::replica::logical_file::logical_file(), saga::metric::metric(), saga::url::operator=(), saga::metric::operator=(), saga::job::service::service(), saga::cpr::service::service(), saga::sd::service_data::service_data(), saga::sd::service_description::service_description(), and saga::url::url().

saga::uuid saga::object::get_id | ( | void |  | ) | const

Brief description starts here.

saga::session & saga::object::get_session | ( |  | ) |

Brief description starts here.

Referenced by saga::sd::service_description::get_related_services().

saga::session const & saga::object::get_session | ( |  | ) | const

saga::object saga::object::clone | ( | void |  | ) | const

Brief description starts here.

Reimplemented in saga::url.

References clone().

Referenced by saga::url::clone(), clone(), and saga::url::operator=().

The documentation for this class was generated from the following files:

- object.hpp
- object.cpp